因vpser.net 域名被认证,更换lnmp下载地址

作者:licess 发布时间:2016年10月19日 分类:常见问题

因vpser.net 域名被认证导致 *.vpser.net 国内大部分地区无法连接,目前已经增加国内镜像,不需要再修改已经可以正常下载,带宽比较吃紧,国内要下载full安装包的话请尽量通过这里面https://bbs.vpser.net/thread-14606-1-1.html的国内分流连接下载。

如果您是国内的,如果无法连接需要修改安装包目录下面的lnmp.conf 将里面的 http://soft.vpser.net 修改为 ftp://soft.vpser.net ftp协议不受影响或者使用 http://soft1.vpser.net 。
一键替换命令,需要在安装包目录下:sed -i 's#http://soft.vpser.net#ftp://soft1.vpser.net#' lnmp.conf
如果有不正常的情况,还可以按前面这个改成ftp协议进行下载。

国外下载安装是不需要修改的,如果遇到被解析到国内IP,可以尝试修改为ftp协议或者使用 http://soft2.vpser.net 或 http://soft4.vpser.net 。

VPS侦探网站及论坛也已经恢复并启用全站https加密访问 https://www.vpser.net
论坛:https://bbs.vpser.net

LNMP 1.2+ 备份/denyhosts/fail2ban/Nginx日志切割/MySQL root密码重置工具使用教程

作者:licess 发布时间:2015年07月6日 分类:常见问题

LNMP1.2/1.3+版本安装包目录下有一个tools目录,放有常用的备份脚本 backup.sh,nginx日志切割脚本 cut_nginx_logs.sh,SSH防护安装脚本denyhosts.sh 和 fail2ban.sh,MySQL/MariaDB root密码重装工具 reset_mysql_root_password.sh及PHP函数辅助删除工具 remove_disable_function.sh。 这些工具可以在使用LNMP提供一些很有用的安全防护设置、简化一些安装流程,更专注于做站。

阅读剩余部分...

LNMP 1.2缓存加速类扩展(xcache/Redis/memcached/eAccelerator)、imageMagick、ionCube安装教程

作者:licess 发布时间:2015年05月7日 分类:常见问题

本文仅适用于LNMP1.2、1.3及1.4等以后的版本安装eAcceleratorxcachememcachedimageMagickionCuberedisopcache.这几个PHP缓存、加速类的扩展不一定对每个人都能用,自己按需要安装,不用装多个同类的扩展,可能会导致出错。下面会对各个程序的作用、安装方法及相关注意事项。(注意:以下操作均需要在lnmp压缩包解压后的目录里运行,如lnmp1.3-full)

这些扩展和组件均采用./addons.sh进行安装。
基本用法说明:./addons.sh {install|uninstall} {eaccelerator|xcache|memcached|opcache|redis|imagemagick|ioncube}
不同版本可能显示和选项上略微有些差异。

1、eAccelerator

eAccelerator是一个自由开放源码php加速器,优化和动态内容缓存,提高了php脚本的缓存性能,使得PHP脚本在编译的状态下,对服务器的开销几乎完全消除。 它还有对脚本起优化作用,以加快其执行效率。

阅读剩余部分...

LNMP 1.2/1.3升级Nginx、MySQL/MariaDB、PHP教程

作者:licess 发布时间:2015年05月7日 分类:常见问题

一般情况下不建议对生产环境进行升级,升级开始后会停止LNMP相关服务。
本文仅适用于LNMP1.2、1.3及1.4等以后版本!

在LNMP目前LNMP v1.2/1.3中已经包含了NginxMySQL/MariaDBPHP的升级脚本,可以帮助搭建对环境中的程序进行升级。(注意:以下操作均需要在lnmp压缩包解压后的目录里运行)

阅读剩余部分...

LNMP 1.1升级及Nginx、MySQL/MariaDB、PHP升级说明

作者:licess 发布时间:2014年05月30日 分类:常见问题

如果目前运行环境没什么问题,不建议直接运行新版进行覆盖,覆盖升级可能会存在问题,也可能会导致数据丢失。如想用新版可以备份数据后./uninstall.sh 后重新下载新版安装,或直接rebuild重装系统后安装新版,前提都是备份数据!!
本文仅适用于LNMP 1.1,不适用于LNMP1.2及以后版本!

在LNMP目前LNMP v1.1中已经包含了NginxMySQL/MariaDBPHP的升级脚本,可以帮助搭建对环境中的程序进行升级。(注意:以下操作均需要在lnmp压缩包解压后的目录里运行)

阅读剩余部分...